---
title: ':only-child'
slug: 'Web/CSS/:only-child'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:only-child</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-classes" title="Pseudo classes">pseudo-class</a> represents an element without any siblings. This is the same as <code>:first-child:last-child</code> or <code>:nth-child(1):nth-last-child(1)</code>, but with a lower specificity.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects each &lt;p&gt;, but only if it is the */
/* only child of its parent */
p:only-child {
  background-color: lime;
}</pre>

<div class="note">
<p><strong>Note</strong>: As originally defined, the selected element had to have a parent. Beginning with Selectors Level 4, this is no longer required.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;div&gt;I am an only child.&lt;/div&gt;
&lt;/div&gt;

&lt;div&gt;
  &lt;div&gt;I am the 1st sibling.&lt;/div&gt;
  &lt;div&gt;I am the 2nd sibling.&lt;/div&gt;
  &lt;div&gt;I am the 3rd sibling, &lt;div&gt;but this is an only child.&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div:only-child {
  color: red;
}

div {
  display: inline-block;
  margin: 6px;
  outline: 1px solid;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Basic_example','100%',180)}}</p>

<h3 id="A_list_example">A list example</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;ol&gt;
  &lt;li&gt;First
    &lt;ul&gt;
      &lt;li&gt;This list has just one element.&lt;/li&gt;
    &lt;/ul&gt;
  &lt;/li&gt;
  &lt;li&gt;Second
    &lt;ul&gt;
      &lt;li&gt;This list has three elements.&lt;/li&gt;
      &lt;li&gt;This list has three elements.&lt;/li&gt;
      &lt;li&gt;This list has three elements.&lt;/li&gt;
    &lt;/ul&gt;
  &lt;/li&gt;
&lt;/ol&gt;
</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">li li {
  list-style-type: disc;
}

li:only-child {
  color: red;
  list-style-type: square;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('A_list_example', '100%', 210)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#only-child-pseudo', ':only-child')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Matching elements are not required to have a parent.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#only-child-pseudo', ':only-child')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("css.selectors.only-child")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref(":only-of-type")}}</li>
 <li>{{Cssxref(":first-child")}}</li>
 <li>{{Cssxref(":last-child")}}</li>
 <li>{{Cssxref(":nth-child")}}</li>
</ul>
